Eclipse Platform Release 3.7

## org.eclipse.jface.action
Interface IMenuListener2

All Superinterfaces:
  IMenuListener

    public interface IMenuListener2

extends IMenuListener

A menu listener that gets informed when a menu is about to hide.

Since:
  3.2
See Also:
  `MenuManager.addMenuListener(org.eclipse.jface.action.IMenuListener)`

Method Summary
`void` `menuAboutToHide(IMenuManager manager)` Notifies this listener that the menu is about to be hidden by the given menu manager.

Methods inherited from interface org.eclipse.jface.action.IMenuListener
`menuAboutToShow`

Method Detail

### menuAboutToHide

    void menuAboutToHide(IMenuManager manager)

  Notifies this listener that the menu is about to be hidden by the given menu manager.

  Parameters:
    `manager` - the menu manager

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.